Click here to Skip to main content
14,607,162 members
Rate this:
Please Sign up or sign in to vote.
See more:
I am able to generate signed apk file for android project using ant tool via command prompt.But i am not able to generate signed apk file to a android project when multiple dependency projects are there for that project.please help me to find a way to find solution for this.(with out using eclipse by using only command line)
Posted
Comments
Mohibur Rashid 5-Jan-16 0:42am
   
what IDE are you using?
Member 11944583 5-Jan-16 4:17am
   
i am using Eclipse as IDE.for single android project i am able to create signed apk file i am not getting any problem here.when my project has some dependencies it raises some errors.
Member 11944583 5-Jan-16 4:32am
   
[javac] (use -source 7 or higher to enable diamond operator)
[javac] D:\Work\Android WorkSpace\facebook\src\com\facebook\share\widget\Sha
reDialog.java:225: error: diamond operator is not supported in -source 1.5
[javac] ArrayList<modehandler> handlers = new ArrayList<>();
[javac] ^
[javac] (use -source 7 or higher to enable diamond operator)
[javac] 25 errors
[javac] 3 warnings

BUILD FAILED
D:\AndroidIDE\sdk\tools\ant\build.xml:597: The following error occurred while ex
ecuting this line:
D:\AndroidIDE\sdk\tools\ant\build.xml:716: The following error occurred while ex
ecuting this line:
D:\AndroidIDE\sdk\tools\ant\build.xml:730: Compile failed; see the compiler erro
r output for details.

Total time: 7 seconds
Mohibur Rashid 5-Jan-16 5:28am
   
Not sure, but open your project property, go to menu "Java build Path" and then select "Order and Export" and from there check your external library. The selected library will be part of your *.apk

1 solution

Rate this:
Please Sign up or sign in to vote.

Solution 1

   
Comments
Member 11944583 5-Jan-16 6:18am
   
ya i fallowed all the rules ...the error is
[javac] D:\Work\Android WorkSpace\facebook\src\com\facebook\share\widget\Sha reDialog.java:225: error: diamond operator is not supported in -source 1.5 [javac] ArrayList<modehandler> handlers = new ArrayList<>(); [javac] ^ [javac] (use -source 7 or higher to enable diamond operator)
Member 11944583 5-Jan-16 6:20am
   
and my jdk version is 1.8.0_45 its also perfect ...i am not understanding why the error is coming.please help me.

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)




CodeProject, 503-250 Ferrand Drive Toronto Ontario, M3C 3G8 Canada +1 416-849-8900 x 100